From ea85b6970b0c8df874feef571a03c9d1b6b3cb81 Mon Sep 17 00:00:00 2001
From: Carl Huang <cjhuang@codeaurora.org>
Date: Tue, 14 Apr 2020 17:56:33 +0800
Subject: [PATCH 02/76] ath11k: fix compile errors of mhi.c with latest linaro
 mhi

Merged with latest linaro mhi branch, need to fix compile errors
of mhi.c.

Change-Id: I5c82740eb79289c63dc691daf02b66baabdf1db1
Signed-off-by: Carl Huang <cjhuang@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/mhi.c | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

diff --git a/drivers/net/wireless/ath/ath11k/mhi.c b/drivers/net/wireless/ath/ath11k/mhi.c
index 1e9227f..535447b 100644
--- a/drivers/net/wireless/ath/ath11k/mhi.c
+++ b/drivers/net/wireless/ath/ath11k/mhi.c
@@ -18,7 +18,6 @@ static struct mhi_channel_config ath11k_mhi_channels[] = {
 		.dir = DMA_TO_DEVICE,
 		.ee_mask = 0x4,
 		.pollcfg = 0,
-		.data_type = MHI_BUF_RAW,
 		.doorbell = MHI_DB_BRST_DISABLE,
 		.lpm_notify = false,
 		.offload_channel = false,
@@ -34,7 +33,6 @@ static struct mhi_channel_config ath11k_mhi_channels[] = {
 		.dir = DMA_FROM_DEVICE,
 		.ee_mask = 0x4,
 		.pollcfg = 0,
-		.data_type = MHI_BUF_RAW,
 		.doorbell = MHI_DB_BRST_DISABLE,
 		.lpm_notify = false,
 		.offload_channel = false,
@@ -50,7 +48,6 @@ static struct mhi_channel_config ath11k_mhi_channels[] = {
 		.dir = DMA_TO_DEVICE,
 		.ee_mask = 0x4,
 		.pollcfg = 0,
-		.data_type = MHI_BUF_SKB,
 		.doorbell = MHI_DB_BRST_DISABLE,
 		.lpm_notify = false,
 		.offload_channel = false,
@@ -66,7 +63,6 @@ static struct mhi_channel_config ath11k_mhi_channels[] = {
 		.dir = DMA_FROM_DEVICE,
 		.ee_mask = 0x4,
 		.pollcfg = 0,
-		.data_type = MHI_BUF_RAW,
 		.doorbell = MHI_DB_BRST_DISABLE,
 		.lpm_notify = false,
 		.offload_channel = false,
@@ -140,23 +136,22 @@ static int ath11k_pci_get_mhi_msi(struct ath11k_pci *ar_pci)
 	return 0;
 }
 
-static int ath11k_mhi_link_status(struct mhi_controller *mhi_ctrl, void *priv)
+static int ath11k_mhi_link_status(struct mhi_controller *mhi_ctrl)
 {
 	return 0;
 }
 
-static void ath11k_mhi_notify_status(struct mhi_controller *mhi_ctrl, void *priv,
+static void ath11k_mhi_notify_status(struct mhi_controller *mhi_ctrl,
 				     enum mhi_callback reason)
 {
 }
 
-static int ath11k_mhi_pm_runtime_get(struct mhi_controller *mhi_ctrl, void *priv)
+static int ath11k_mhi_pm_runtime_get(struct mhi_controller *mhi_ctrl)
 {
 	return 0;
 }
 
-static void ath11k_mhi_pm_runtime_put_noidle(struct mhi_controller *mhi_ctrl,
-					     void *priv)
+static void ath11k_mhi_pm_runtime_put_noidle(struct mhi_controller *mhi_ctrl)
 {
 }
 
@@ -173,8 +168,7 @@ int ath11k_pci_register_mhi(struct ath11k_pci *ar_pci)
 
 	ar_pci->mhi_ctrl = mhi_ctrl;
 
-	mhi_ctrl->priv_data = ar_pci;
-	mhi_ctrl->dev = &pci_dev->dev;
+	mhi_ctrl->cntrl_dev = &pci_dev->dev;
 
 	mhi_ctrl->fw_image = ATH11K_PCI_FW_FILE_NAME;
 
-- 
2.7.4

